@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500&display=swap");

/*
Amarelo
#fbd043
Laranja
#f38f2f
Azul
#26426E
*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-color: #fbd043;
  background-image: url("images/background-image.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  font-family: "Poppins", sans-serif;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

main {
  text-align: center;
  margin: 30px 50px 20px 50px;
}

.user-img {
  border-radius: 50px;
  max-width: 100px;
  border: 4px solid #fff;
}

main h1, main h1 a {
  color: #26426E;
  font-size: 1.2rem;
  margin: 0.5em 0 0.5em 0;
}

main h2, main h2 a {
  color: #f38f2f;
  font-size: 1.0rem;
}

.link {
  position: relative;
  height: 50px;
  width: 100%;
  background-color: #f38f2f;
  border-radius: 50px;
  border: 4px solid #26426E;
  box-shadow: 6px 6px 0 0 #26426E;
  margin-top: 1.3rem;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.link:hover, .link:active {
  height: 50px;
  width: 100%;
  top: 4px;
  left: 4px;
  box-shadow: 0px 0px 0 0 #26426E;
}

a {
  color: white;
  font-weight: bold;
  text-decoration: none;
}

.link-icon {
  position: absolute;
  left: 6px;
  max-height: 30px;
  max-width: 30px;
  z-index: 5;
  overflow: hidden;
  pointer-events: none;
}

@media screen and (min-width: 500px) {
  body {
    padding: 20px 50px;
  }
}

@media screen and (min-width: 800px) {
  body {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
  }

  main {
    min-width: 800px;
    padding: 20px 50px;
  }
}
